Get information about a loan (obligation)
curl --request GET \
--url https://api.kamino.finance/klend/loans/{pubkey}const options = {method: 'GET'};
fetch('https://api.kamino.finance/klend/loans/{pubkey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/klend/loans/{pubkey}"
response = requests.get(url)
print(response.text)false{
"loanId": "wGzt1J5Nr182HHqAc1zsfD9SLoe1MJb25VWih5NRY",
"marketId": "6HT16972HHiY4RM33GfUc22pHZ3VLDPpXFWhQ7XJzA",
"user": "7yexZcPbepXgWw3Cxc7YB2eLaxwyuyshRbAF8XHDi2g",
"timestamp": 1760707165421,
"solanaSlot": 373973788,
"elevationGroup": 0,
"leverage": "0.5",
"loanInfo": {
"collateral": {
"deposits": [
{
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenName": "SOL",
"tokenAmount": "0.0100002082771212",
"tokenValue": "1.80421579010444",
"maxLtv": 0.74,
"liquidationLtv": 0.75,
"maxWithdrawableAmount": 51225.5590659256,
"maxWithdrawableValue": "9242003.76257327",
"tokenPrice": 180.41782132
}
]
},
"debt": {
"borrows": [
{
"tokenMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenName": "USDC",
"tokenAmount": "0.100002775657846",
"tokenValue": "0.0999921413626825",
"maxBorrowableAmount": 1.30084031718889,
"maxBorrowableValue": "1.30070198582957",
"tokenPrice": 0.99989366,
"borrowFactor": 1
}
]
},
"currentLtv": 0.0554213869045533,
"maxLtv": 0.74,
"liquidationLtv": 0.75,
"closeFactor": 0.1
}
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"metadata": "Account could not be found"
}{
"error": "The requested calculation is not supported for this asset"
}{
"error": "An internal error occurred"
}{
"error": "<string>"
}User and Loans Data
Get information about a loan (obligation)
Fetches information about a loan
GET
/
klend
/
loans
/
{pubkey}
Get information about a loan (obligation)
curl --request GET \
--url https://api.kamino.finance/klend/loans/{pubkey}const options = {method: 'GET'};
fetch('https://api.kamino.finance/klend/loans/{pubkey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/klend/loans/{pubkey}"
response = requests.get(url)
print(response.text)false{
"loanId": "wGzt1J5Nr182HHqAc1zsfD9SLoe1MJb25VWih5NRY",
"marketId": "6HT16972HHiY4RM33GfUc22pHZ3VLDPpXFWhQ7XJzA",
"user": "7yexZcPbepXgWw3Cxc7YB2eLaxwyuyshRbAF8XHDi2g",
"timestamp": 1760707165421,
"solanaSlot": 373973788,
"elevationGroup": 0,
"leverage": "0.5",
"loanInfo": {
"collateral": {
"deposits": [
{
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenName": "SOL",
"tokenAmount": "0.0100002082771212",
"tokenValue": "1.80421579010444",
"maxLtv": 0.74,
"liquidationLtv": 0.75,
"maxWithdrawableAmount": 51225.5590659256,
"maxWithdrawableValue": "9242003.76257327",
"tokenPrice": 180.41782132
}
]
},
"debt": {
"borrows": [
{
"tokenMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenName": "USDC",
"tokenAmount": "0.100002775657846",
"tokenValue": "0.0999921413626825",
"maxBorrowableAmount": 1.30084031718889,
"maxBorrowableValue": "1.30070198582957",
"tokenPrice": 0.99989366,
"borrowFactor": 1
}
]
},
"currentLtv": 0.0554213869045533,
"maxLtv": 0.74,
"liquidationLtv": 0.75,
"closeFactor": 0.1
}
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"metadata": "Account could not be found"
}{
"error": "The requested calculation is not supported for this asset"
}{
"error": "An internal error occurred"
}{
"error": "<string>"
}Path Parameters
Valid base58-encoded address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Query Parameters
Solana cluster environment
Available options:
mainnet-beta, devnet, localnet Example:
"mainnet-beta"
Response
OK
The loan (obligation) public key
Example:
"wGzt1J5Nr182HHqAc1zsfD9SLoe1MJb25VWih5NRY"
The market public key
Example:
"6HT16972HHiY4RM33GfUc22pHZ3VLDPpXFWhQ7XJzA"
The loan owner public key
Example:
"7yexZcPbepXgWw3Cxc7YB2eLaxwyuyshRbAF8XHDi2g"
UTC timestamp when this report was produced
Example:
1760707165421
Solana slot when this report was produced
Example:
373973788
The elevation group assigned to this obligation for isolation of risks
Example:
0
Current leverage ratio of the position
Example:
"0.5"
Show child attributes
Show child attributes